package com.ruoyi.rocketmq.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 初始带宽流量临时表对象 initial_bandwidth_traffic_temp
 * 
 * @author gyt
 * @date 2025-11-05
 */
public class InitialBandwidthTrafficTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 接口名称 */
    @Excel(name = "接口名称")
    private String name;

    /** MAC地址 */
    @Excel(name = "MAC地址")
    private String mac;

    /** 运行状态 */
    @Excel(name = "运行状态")
    private String status;

    /** 接口类型 */
    @Excel(name = "接口类型")
    private String type;

    /** IPv4地址 */
    @Excel(name = "IPv4地址")
    private String ipV4;

    /** 入站丢包率(%) */
    @Excel(name = "入站丢包率(%)")
    private BigDecimal inDropped;

    /** 出站丢包率(%) */
    @Excel(name = "出站丢包率(%)")
    private BigDecimal outDropped;

    /** 接收带宽(big) */
    @Excel(name = "接收带宽(big)")
    private String inSpeed;

    /** 发送带宽(bit) */
    @Excel(name = "发送带宽(bit)")
    private String outSpeed;

    /** 协商速度 */
    @Excel(name = "协商速度")
    private String speed;

    /** 工作模式 */
    @Excel(name = "工作模式")
    private String duplex;

    /** 设备唯一标识 */
    @Excel(name = "设备唯一标识")
    private String clientId;

    /** 总接收带宽(bit) */
    @Excel(name = "总接收带宽(bit)")
    private String totalInSpeed;

    /** 总发送带宽(bit) */
    @Excel(name = "总发送带宽(bit)")
    private String totalOutSpeed;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setMac(String mac) 
    {
        this.mac = mac;
    }

    public String getMac() 
    {
        return mac;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    public void setIpV4(String ipV4) 
    {
        this.ipV4 = ipV4;
    }

    public String getIpV4() 
    {
        return ipV4;
    }

    public void setInDropped(BigDecimal inDropped) 
    {
        this.inDropped = inDropped;
    }

    public BigDecimal getInDropped() 
    {
        return inDropped;
    }

    public void setOutDropped(BigDecimal outDropped) 
    {
        this.outDropped = outDropped;
    }

    public BigDecimal getOutDropped() 
    {
        return outDropped;
    }

    public void setInSpeed(String inSpeed) 
    {
        this.inSpeed = inSpeed;
    }

    public String getInSpeed() 
    {
        return inSpeed;
    }

    public void setOutSpeed(String outSpeed) 
    {
        this.outSpeed = outSpeed;
    }

    public String getOutSpeed() 
    {
        return outSpeed;
    }

    public void setSpeed(String speed) 
    {
        this.speed = speed;
    }

    public String getSpeed() 
    {
        return speed;
    }

    public void setDuplex(String duplex) 
    {
        this.duplex = duplex;
    }

    public String getDuplex() 
    {
        return duplex;
    }

    public void setClientId(String clientId) 
    {
        this.clientId = clientId;
    }

    public String getClientId() 
    {
        return clientId;
    }

    public void setTotalInSpeed(String totalInSpeed) 
    {
        this.totalInSpeed = totalInSpeed;
    }

    public String getTotalInSpeed() 
    {
        return totalInSpeed;
    }

    public void setTotalOutSpeed(String totalOutSpeed) 
    {
        this.totalOutSpeed = totalOutSpeed;
    }

    public String getTotalOutSpeed() 
    {
        return totalOutSpeed;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("mac", getMac())
            .append("status", getStatus())
            .append("type", getType())
            .append("ipV4", getIpV4())
            .append("inDropped", getInDropped())
            .append("outDropped", getOutDropped())
            .append("inSpeed", getInSpeed())
            .append("outSpeed", getOutSpeed())
            .append("speed", getSpeed())
            .append("duplex", getDuplex())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("clientId", getClientId())
            .append("totalInSpeed", getTotalInSpeed())
            .append("totalOutSpeed", getTotalOutSpeed())
            .toString();
    }
}
